# Generated by Django 4.1.1 on 2022-09-21 00:58

import django.core.validators
from django.db import migrations, models
import django.utils.timezone
import groups.format_records


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Groups",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "subject",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[
                            django.core.validators.MinLengthValidator(2),
                            groups.format_records.subject_validator,
                        ],
                    ),
                ),
                (
                    "start_of_study_date",
                    models.DateField(default=django.utils.timezone.now, null=True),
                ),
                (
                    "end_of_study_date",
                    models.DateField(default=django.utils.timezone.now, null=True),
                ),
                (
                    "group_average_grade",
                    models.PositiveSmallIntegerField(
                        default=0,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(100),
                        ],
                    ),
                ),
                (
                    "class_mentor",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "email",
                    models.EmailField(default="email@unknown.com", max_length=100),
                ),
            ],
        ),
    ]
